/*
 * ProductConverter.java
 *
 * Created on March 26, 2007, 1:16 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package simpleHibernateApp.controller;

import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;
import simpleHibernateApp.entities.Product;

/**
 *
 * @author Max.Poon@Sun.COM
 */
public class ProductConverter implements Converter {
    
    /** Creates a new instance of ProductConverter */
    public ProductConverter() {
    }

    public Object getAsObject(FacesContext facesContext, UIComponent uIComponent, String string) {
        if (string == null) {
            return null;
        }
        Integer id = new Integer(string);
        ProductController controller = (ProductController) facesContext.getApplication().getELResolver().getValue(
            facesContext.getELContext(), null, "product");
        
        return controller.findProduct(id);
    }

    public String getAsString(FacesContext facesContext, UIComponent uIComponent, Object object) {
        if (object == null) {
            return null;
        }
        if(object instanceof Product) {
            Product o = (Product) object;
            return "" + o.getProductId();
        } else {
            throw new IllegalArgumentException("object:" + object + " of type:" + object.getClass().getName() + "; expected type: simpleHibernateApp.entities.Product");
        }
    }
    
}
