<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <title>Detail of Product</title>
    </head>
    <body>
        <f:view>
            <h:messages errorStyle="color: red" infoStyle="color: green" layout="table"/>
            <h1>Detail of product</h1>
            <h:form>
                <h:panelGrid columns="2">
                    <h:outputText value="ProductId:"/>
                    <h:outputText value="#{product.product.productId}" title="ProductId" />
                    <h:outputText value="PurchaseCost:"/>
                    <h:outputText value="#{product.product.purchaseCost}" title="PurchaseCost" />
                    <h:outputText value="QuantityOnHand:"/>
                    <h:outputText value="#{product.product.quantityOnHand}" title="QuantityOnHand" />
                    <h:outputText value="Markup:"/>
                    <h:outputText value="#{product.product.markup}" title="Markup" />
                    <h:outputText value="Available:"/>
                    <h:outputText value="#{product.product.available}" title="Available" />
                    <h:outputText value="Description:"/>
                    <h:outputText value="#{product.product.description}" title="Description" />
                    <h:outputText value="ManufacturerId:"/>
                    <h:outputText value="#{product.product.manufacturerId}" title="ManufacturerId" />
                    <h:outputText value="ProductCode:"/>
                    <h:outputText value="#{product.product.productCode}" title="ProductCode" />
                </h:panelGrid>
                <h:commandLink action="product_edit" value="Edit" />
                <br>
                <h:commandLink action="product_list" value="Show All Product"/>
                <br>
                <a href="/SimpleHibernateApp/index.jsp">Back to index</a>
            </h:form>
        </f:view>
    </body>
</html>
