/*
 * ManufacturerConverter.java
 *
 * Created on March 26, 2007, 1:16 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package simpleHibernateApp.controller;

import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;
import simpleHibernateApp.entities.Manufacturer;

/**
 *
 * @author Max.Poon@Sun.COM
 */
public class ManufacturerConverter implements Converter {
    
    /** Creates a new instance of ManufacturerConverter */
    public ManufacturerConverter() {
    }

    public Object getAsObject(FacesContext facesContext, UIComponent uIComponent, String string) {
        if (string == null) {
            return null;
        }
        Integer id = new Integer(string);
        ManufacturerController controller = (ManufacturerController) facesContext.getApplication().getELResolver().getValue(
            facesContext.getELContext(), null, "manufacturer");
        
        return controller.findManufacturer(id);
    }

    public String getAsString(FacesContext facesContext, UIComponent uIComponent, Object object) {
        if (object == null) {
            return null;
        }
        if(object instanceof Manufacturer) {
            Manufacturer o = (Manufacturer) object;
            return "" + o.getManufacturerId();
        } else {
            throw new IllegalArgumentException("object:" + object + " of type:" + object.getClass().getName() + "; expected type: simpleHibernateApp.entities.Manufacturer");
        }
    }
    
}
